Subject: RE: bug#44858: [PATCH] Make byte-compiler warn about wide docstrings

From: Drew Adams <[email-masked]>
Date: Fri, 27 Nov 2020 10:36:50 -0800 (PST)

> Yup.  And 15% is mostly when it expands to `M-x some-long-command'
> because the keymap hasn't been loaded yet, I think?  Which we could
> conceivably fix by loading the file when the used `C-h f's an
> autoloaded function with one of these constructs?  Perhaps a bit hacky...

Please, no.  Users should be able to see the doc
without loading the library.  That's an important
feature, IMO, which has been present from Day One
(or whatever day autoloading was introduced).

I'm all for cosmetic improvements and not having
long lines, believe me.  But I think loading a
library just to (maybe!) change `M-x function-name'
to a key binding description is, I think, misguided.